/* @Packager.Header
<FileDescription>
	This is a generic Document Fragment object. It is not intended to provide 
	the W3C implementation, but is a way to fix the missing of a real Document
	Fragment in IE (where document.createDocumentFragment() returns a normal
	document instead), giving a standard interface for it.
	(IE Implementation)
</FileDescription>
<Author name="Frederico Caldeira Knabben" email="www.fckeditor.net" />
*/

var FCKDocumentFragment = function( parentDocument, baseDocFrag )
{
	this.RootNode = baseDocFrag || parentDocument.createDocumentFragment() ;
}

FCKDocumentFragment.prototype =
{
	TypeName : 'FCKDocumentFragment',		// @Packager.RemoveLine

	// Append the contents of this Document Fragment to another element.
	AppendTo : function( targetNode )
	{
		targetNode.appendChild( this.RootNode ) ;
	},
	
	InsertAfterNode : function( existingNode )
	{
		FCKDomTools.InsertAfterNode( existingNode, this.RootNode ) ;
	}
}